# FaxsuiteResTfulApi.RecipientsApi

All URIs are relative to *https://service.fax-api.de/4.0/rest*

Method | HTTP request | Description
------------- | ------------- | -------------
[**getRecipients**](RecipientsApi.md#getRecipients) | **GET** /recipients | /recipients

<a name="getRecipients"></a>
# **getRecipients**
> Recipients getRecipients(opts)

/recipients

Description: To obtain a list of recipients

### Example
```javascript
import {FaxsuiteResTfulApi} from 'faxsuite_res_tful_api';
let defaultClient = FaxsuiteResTfulApi.ApiClient.instance;

// Configure API key authorization: ApiAuthKey
let ApiAuthKey = defaultClient.authentications['ApiAuthKey'];
ApiAuthKey.apiKey = 'YOUR API KEY';
// Uncomment the following line to set a prefix for the API key, e.g. "Token" (defaults to null)
//ApiAuthKey.apiKeyPrefix = 'Token';

let apiInstance = new FaxsuiteResTfulApi.RecipientsApi();
let opts = { 
  'objectLimit': 100, // Number | Query parameter to change de default limitation of objects in the result data array
  'objectOffset': 0, // Number | Query parameter to change de default offset of objects in the result data array
  'filterJobId': "filterJobId_example", // String | Query parameter to fetch after recipient related to specific fax job
  'filterSameAccount': false, // Boolean | Query parameter to fetch recipient related to jobs linked to the used token/key for authorization
  'filterFaxNumber': "filterFaxNumber_example", // String | Query parameter to fetch recipients after his fax number
  'filterFaxNumberNorm': "filterFaxNumberNorm_example", // String | Query parameter to fetch recipients after his normed fax number
  'filterRecipientReference': "filterRecipientReference_example", // String | Query parameter to fetch recipients after his recipient reference
  'filterInternationalDialingCode': "filterInternationalDialingCode_example", // String | Query parameter to fetch recipients after his international dialing code
  'filterResultCode': "filterResultCode_example", // String | Query parameter to fetch recipients after his result code
  'filterResultText': "filterResultText_example", // String | Query parameter to fetch recipients after his result text
  'sortField': "sortField_example", // String | Available sort options for the result data array.
  'sortOrder': "asc" // String | Describes the order for used sort fields
};
apiInstance.getRecipients(opts, (error, data, response) => {
  if (error) {
    console.error(error);
  } else {
    console.log('API called successfully. Returned data: ' + data);
  }
});
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **objectLimit** | **Number**| Query parameter to change de default limitation of objects in the result data array | [optional] [default to 100]
 **objectOffset** | **Number**| Query parameter to change de default offset of objects in the result data array | [optional] [default to 0]
 **filterJobId** | **String**| Query parameter to fetch after recipient related to specific fax job | [optional] 
 **filterSameAccount** | **Boolean**| Query parameter to fetch recipient related to jobs linked to the used token/key for authorization | [optional] [default to false]
 **filterFaxNumber** | **String**| Query parameter to fetch recipients after his fax number | [optional] 
 **filterFaxNumberNorm** | **String**| Query parameter to fetch recipients after his normed fax number | [optional] 
 **filterRecipientReference** | **String**| Query parameter to fetch recipients after his recipient reference | [optional] 
 **filterInternationalDialingCode** | **String**| Query parameter to fetch recipients after his international dialing code | [optional] 
 **filterResultCode** | **String**| Query parameter to fetch recipients after his result code | [optional] 
 **filterResultText** | **String**| Query parameter to fetch recipients after his result text | [optional] 
 **sortField** | **String**| Available sort options for the result data array. | [optional] 
 **sortOrder** | **String**| Describes the order for used sort fields | [optional] [default to asc]

### Return type

[**Recipients**](Recipients.md)

### Authorization

[ApiAuthKey](../README.md#ApiAuthKey)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

