/*
 * Faxsuite RESTful API
 * <p><img src=\"https://service.fax-api.de/4.0/img/fax-api.png\" height=\"100\" title=\"title\" /></p>  # API Definition <p><img src=\"https://service.fax-api.de/4.0/img/open_api.png\" height=\"50\" title=\"title\" /></p>  Die <b>RESTful API</b> basiert auf den <b>OpenAPI v3.0.3</b> Spezifikationen. OpenAPI Spezifikationen (OAS) definieren eine standardisierte und programmiersprachenunabhängige Schnittstellenbeschreibung für RESTful APIs. Diese Schnittstelle ist nutzbar ohne dass der Zugang zum Quellcode, zusätzliche Dokumentation oder die Untersuchung des Netzwerk-Traffics erforderlich ist. Somit kann ein Nutzer den Dienst mit einem Minimum an Implementierungslogik verstehen, mit ihm interagieren und einfach und schnell als API-Schnittstelle in seine eigene Softwareanwendung integrieren..<br><br>Weitere Informationen zu OpenAPI finden sie hier: <a href=\"https://www.openapis.org/\"><b>https://www.openapis.org/</b></a>   # Einleitung  <p><img src=\"https://service.fax-api.de/4.0/img/fax-api-faxsuite_v2.png\" height=\"350\" title=\"title\" />  </p>  Mit unserer <b>Faxsuite</b> können Sie überall und zu jederzeit Faxe senden und empfangen. Neben vielen anderen Funktionalitäten bietet Ihnen unsere <b>Faxsuite</b> auch eine RESTFul API-Schnittstelle. Damit können Sie z. B. aus Ihrer eigenen Softwareanwendung Faxe automatisiert versenden. Zeitintensive und teure Investionen in Hardware und Software gehören der Vergangenheit an und sind nicht mehr notwendig..<br><br>Um den API Service nutzen zu können, müssen Sie sich für die <a href=\"https://www.faxsuite.de/\"><b>Faxsuite</b></a> anmelden. Ein kostenloser Testzugang kann <a href=\"https://www.faxverteiler.com/testzugang/\"><b>hier</b></a> beantragt werden. (<i>To use the API service you need to sign up for the <a href=\"https://www.faxsuite.de/\"><b>Faxsuite</b></a>. A free trial access can be requested <a href=\"https://www.faxverteiler.com/testzugang/\"><b>here</b></a></i>).<br><br>Mit der <b>Faxsuite</b> haben Sie die Kontrolle über Ihre Fax-Kampangen. Mit dem kostenlosen Testzugang können Sie alle Faxsuite Module (Fax-API, Mail2Fax, Faxdrucker, Faxmailing und Faxempfang) unverbindlich ausprobieren. Sie bekommen 10 kostenlose Faxseiten, die Sie zum aktiven Kennenlernen unserer Faxsuite nutzen können. (<i>You can test the <b>Faxsuite</b> modules for four weeks without obligation. You will receive 10 free fax pages with the free trial access</i>)<br><br>Nachdem Sie den Zugang beantragt haben, können Sie sich <a href=\"https://www.faxsuite.de/\"><b>hier</b></a> in die <b>Faxsuite</b> einloggen. Unter dem Menüpunkt 'FAX-API | Konto verwalten' können Sie ein neues Fax-API Konto erstellen. Bei der Erstellung des Fax-API Kontos wird automatisch ein Autorisierungs-Schlüssel generiert, welchen Sie für den Zugang zur API-Schnittstelle benötigen. (<i>After creating a login you can access the <b>Faxsuite</b> <a href=\"https://www.faxsuite.de/\"><b>here</b></a>. In the menu 'FAX-API | Konto verwalten' you can create a new API-Account and receive the related token/key you need to gain access to our API service</i>).<br><br>Die standardisierte API Dokumentation wird Ihnen in zwei unterschiedlichen, als nicht <b>interaktive</b> und <b>interaktive</b> Varinaten angeboten:  |Name|Type|Link| |-----|-----|-------| | <b>Redoc</b> | non interactive | <b><a href=\"https://service.fax-api.de/4.0/rest/index.html\">click here for redoc</a></b> | <b>Swagger UI</b> | interactive (self hosted) | <b><a href=\"https://service.fax-api.de/4.0/rest/swagger-ui/index.html\">click here for swagger</a></b> |  
 *
 * OpenAPI spec version: 4.0.0
 * Contact: support@fax-api.de
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 *
 * Swagger Codegen version: 3.0.35
 *
 * Do not edit the class manually.
 *
 */
import {ApiClient} from '../ApiClient';

/**
 * The JobPostOptions model module.
 * @module model/JobPostOptions
 * @version 4.0.0
 */
export class JobPostOptions {
  /**
   * Constructs a new <code>JobPostOptions</code>.
   * Describes the request body for the fax job
   * @alias module:model/JobPostOptions
   * @class
   */
  constructor() {
  }

  /**
   * Constructs a <code>JobPostOptions</code> from a plain JavaScript object, optionally creating a new instance.
   * Copies all relevant properties from <code>data</code> to <code>obj</code> if supplied or a new instance if not.
   * @param {Object} data The plain JavaScript object bearing properties of interest.
   * @param {module:model/JobPostOptions} obj Optional instance to populate.
   * @return {module:model/JobPostOptions} The populated <code>JobPostOptions</code> instance.
   */
  static constructFromObject(data, obj) {
    if (data) {
      obj = obj || new JobPostOptions();
      if (data.hasOwnProperty('title'))
        obj.title = ApiClient.convertToType(data['title'], 'String');
      if (data.hasOwnProperty('timeToSend'))
        obj.timeToSend = ApiClient.convertToType(data['timeToSend'], 'Date');
      if (data.hasOwnProperty('timeToSendUntil'))
        obj.timeToSendUntil = ApiClient.convertToType(data['timeToSendUntil'], 'Date');
      if (data.hasOwnProperty('faxHeader'))
        obj.faxHeader = ApiClient.convertToType(data['faxHeader'], 'Boolean');
      if (data.hasOwnProperty('faxHeaderFrom'))
        obj.faxHeaderFrom = ApiClient.convertToType(data['faxHeaderFrom'], 'String');
      if (data.hasOwnProperty('stationID'))
        obj.stationID = ApiClient.convertToType(data['stationID'], 'String');
      if (data.hasOwnProperty('clip'))
        obj.clip = ApiClient.convertToType(data['clip'], 'String');
      if (data.hasOwnProperty('defaultInternationalDialingCode'))
        obj.defaultInternationalDialingCode = ApiClient.convertToType(data['defaultInternationalDialingCode'], 'String');
      if (data.hasOwnProperty('costCenter'))
        obj.costCenter = ApiClient.convertToType(data['costCenter'], 'String');
      if (data.hasOwnProperty('saveDocuments'))
        obj.saveDocuments = ApiClient.convertToType(data['saveDocuments'], 'Boolean');
    }
    return obj;
  }
}

/**
 * Describes a title of the fax job. If not set the current date time will be used as title
 * @member {String} title
 */
JobPostOptions.prototype.title = undefined;

/**
 * Describes the date the fax should be sent. The format must comply with ISO 8601 and must contain date and time. Date can not be in the past or more than 14 day into the future. If not set the current date time will be used as timeToSend
 * @member {Date} timeToSend
 */
JobPostOptions.prototype.timeToSend = undefined;

/**
 * Describes the date the fax can be sent until. The format must comply with ISO 8601 and must contain date and time. DateTime must be 5 minutes after TimeToSend. If not set the date will set to 2030-12-31
 * @member {Date} timeToSendUntil
 */
JobPostOptions.prototype.timeToSendUntil = undefined;

/**
 * Describes if the fax header should used or not for the fax job. If not set the value from api account will be used
 * @member {Boolean} faxHeader
 */
JobPostOptions.prototype.faxHeader = undefined;

/**
 * Describes the header part from in the fax header (if its used) of the a fax job. If not set the value from api account will be used
 * @member {String} faxHeaderFrom
 */
JobPostOptions.prototype.faxHeaderFrom = undefined;

/**
 * Describes the source identifier, which will be displayed during the transmission and appears on the receipt protocol. If not set the value from api account will be used
 * @member {String} stationID
 */
JobPostOptions.prototype.stationID = undefined;

/**
 * Describes the Calling Line Identification Presentation (Clip). It is the transferred dialing number before the transmission of the fax document. If not set the value from api account will be used
 * @member {String} clip
 */
JobPostOptions.prototype.clip = undefined;

/**
 * Describes the default International Dialing Code which will be used for fax numbers without international area code. If not set the value from api account will be used
 * @member {String} defaultInternationalDialingCode
 */
JobPostOptions.prototype.defaultInternationalDialingCode = undefined;

/**
 * Describes the to used cost center for the fax job. If not set the value from api account will be used
 * @member {String} costCenter
 */
JobPostOptions.prototype.costCenter = undefined;

/**
 * Describes if the uploaded template documents and resulting preview documents for the fax job should be stored or not. If not set the value from api account will be used
 * @member {Boolean} saveDocuments
 */
JobPostOptions.prototype.saveDocuments = undefined;

