/*
 * Faxsuite RESTful API
 * <p><img src=\"https://service.fax-api.de/4.0/img/fax-api.png\" height=\"100\" title=\"title\" /></p>  # API Definition <p><img src=\"https://service.fax-api.de/4.0/img/open_api.png\" height=\"50\" title=\"title\" /></p>  Die <b>RESTful API</b> basiert auf den <b>OpenAPI v3.0.3</b> Spezifikationen. OpenAPI Spezifikationen (OAS) definieren eine standardisierte und programmiersprachenunabhängige Schnittstellenbeschreibung für RESTful APIs. Diese Schnittstelle ist nutzbar ohne dass der Zugang zum Quellcode, zusätzliche Dokumentation oder die Untersuchung des Netzwerk-Traffics erforderlich ist. Somit kann ein Nutzer den Dienst mit einem Minimum an Implementierungslogik verstehen, mit ihm interagieren und einfach und schnell als API-Schnittstelle in seine eigene Softwareanwendung integrieren..<br><br>Weitere Informationen zu OpenAPI finden sie hier: <a href=\"https://www.openapis.org/\"><b>https://www.openapis.org/</b></a>   # Einleitung  <p><img src=\"https://service.fax-api.de/4.0/img/fax-api-faxsuite_v2.png\" height=\"350\" title=\"title\" />  </p>  Mit unserer <b>Faxsuite</b> können Sie überall und zu jederzeit Faxe senden und empfangen. Neben vielen anderen Funktionalitäten bietet Ihnen unsere <b>Faxsuite</b> auch eine RESTFul API-Schnittstelle. Damit können Sie z. B. aus Ihrer eigenen Softwareanwendung Faxe automatisiert versenden. Zeitintensive und teure Investionen in Hardware und Software gehören der Vergangenheit an und sind nicht mehr notwendig..<br><br>Um den API Service nutzen zu können, müssen Sie sich für die <a href=\"https://www.faxsuite.de/\"><b>Faxsuite</b></a> anmelden. Ein kostenloser Testzugang kann <a href=\"https://www.faxverteiler.com/testzugang/\"><b>hier</b></a> beantragt werden. (<i>To use the API service you need to sign up for the <a href=\"https://www.faxsuite.de/\"><b>Faxsuite</b></a>. A free trial access can be requested <a href=\"https://www.faxverteiler.com/testzugang/\"><b>here</b></a></i>).<br><br>Mit der <b>Faxsuite</b> haben Sie die Kontrolle über Ihre Fax-Kampangen. Mit dem kostenlosen Testzugang können Sie alle Faxsuite Module (Fax-API, Mail2Fax, Faxdrucker, Faxmailing und Faxempfang) unverbindlich ausprobieren. Sie bekommen 10 kostenlose Faxseiten, die Sie zum aktiven Kennenlernen unserer Faxsuite nutzen können. (<i>You can test the <b>Faxsuite</b> modules for four weeks without obligation. You will receive 10 free fax pages with the free trial access</i>)<br><br>Nachdem Sie den Zugang beantragt haben, können Sie sich <a href=\"https://www.faxsuite.de/\"><b>hier</b></a> in die <b>Faxsuite</b> einloggen. Unter dem Menüpunkt 'FAX-API | Konto verwalten' können Sie ein neues Fax-API Konto erstellen. Bei der Erstellung des Fax-API Kontos wird automatisch ein Autorisierungs-Schlüssel generiert, welchen Sie für den Zugang zur API-Schnittstelle benötigen. (<i>After creating a login you can access the <b>Faxsuite</b> <a href=\"https://www.faxsuite.de/\"><b>here</b></a>. In the menu 'FAX-API | Konto verwalten' you can create a new API-Account and receive the related token/key you need to gain access to our API service</i>).<br><br>Die standardisierte API Dokumentation wird Ihnen in zwei unterschiedlichen, als nicht <b>interaktive</b> und <b>interaktive</b> Varinaten angeboten:  |Name|Type|Link| |-----|-----|-------| | <b>Redoc</b> | non interactive | <b><a href=\"https://service.fax-api.de/4.0/rest/index.html\">click here for redoc</a></b> | <b>Swagger UI</b> | interactive (self hosted) | <b><a href=\"https://service.fax-api.de/4.0/rest/swagger-ui/index.html\">click here for swagger</a></b> |  
 *
 * OpenAPI spec version: 4.0.0
 * Contact: support@fax-api.de
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 *
 * Swagger Codegen version: 3.0.35
 *
 * Do not edit the class manually.
 *
 */
import {ApiClient} from '../ApiClient';

/**
 * The JobRecipient model module.
 * @module model/JobRecipient
 * @version 4.0.0
 */
export class JobRecipient {
  /**
   * Constructs a new <code>JobRecipient</code>.
   * Model of containing recipient information for a specific job
   * @alias module:model/JobRecipient
   * @class
   */
  constructor() {
  }

  /**
   * Constructs a <code>JobRecipient</code> from a plain JavaScript object, optionally creating a new instance.
   * Copies all relevant properties from <code>data</code> to <code>obj</code> if supplied or a new instance if not.
   * @param {Object} data The plain JavaScript object bearing properties of interest.
   * @param {module:model/JobRecipient} obj Optional instance to populate.
   * @return {module:model/JobRecipient} The populated <code>JobRecipient</code> instance.
   */
  static constructFromObject(data, obj) {
    if (data) {
      obj = obj || new JobRecipient();
      if (data.hasOwnProperty('faxNumber'))
        obj.faxNumber = ApiClient.convertToType(data['faxNumber'], 'String');
      if (data.hasOwnProperty('faxNumberNorm'))
        obj.faxNumberNorm = ApiClient.convertToType(data['faxNumberNorm'], 'String');
      if (data.hasOwnProperty('internationalDialingCode'))
        obj.internationalDialingCode = ApiClient.convertToType(data['internationalDialingCode'], 'String');
      if (data.hasOwnProperty('name'))
        obj.name = ApiClient.convertToType(data['name'], 'String');
      if (data.hasOwnProperty('recipientReference'))
        obj.recipientReference = ApiClient.convertToType(data['recipientReference'], 'String');
      if (data.hasOwnProperty('fareZone'))
        obj.fareZone = ApiClient.convertToType(data['fareZone'], 'Number');
      if (data.hasOwnProperty('senderTime'))
        obj.senderTime = ApiClient.convertToType(data['senderTime'], 'Date');
      if (data.hasOwnProperty('resultCode'))
        obj.resultCode = ApiClient.convertToType(data['resultCode'], 'Number');
      if (data.hasOwnProperty('resultText'))
        obj.resultText = ApiClient.convertToType(data['resultText'], 'String');
    }
    return obj;
  }
}

/**
 * Recipient fax number
 * @member {String} faxNumber
 */
JobRecipient.prototype.faxNumber = undefined;

/**
 * Normed recipient fax number
 * @member {String} faxNumberNorm
 */
JobRecipient.prototype.faxNumberNorm = undefined;

/**
 * The International Dialing Code used for this fax
 * @member {String} internationalDialingCode
 */
JobRecipient.prototype.internationalDialingCode = undefined;

/**
 * Recipient name
 * @member {String} name
 */
JobRecipient.prototype.name = undefined;

/**
 * Recipient reference
 * @member {String} recipientReference
 */
JobRecipient.prototype.recipientReference = undefined;

/**
 * Used fare zone for fax
 * @member {Number} fareZone
 */
JobRecipient.prototype.fareZone = undefined;

/**
 * Time the was send to recipient. The format complies with ISO 8601 and contains date and time
 * @member {Date} senderTime
 */
JobRecipient.prototype.senderTime = undefined;

/**
 * Contains the result code for the fax. Value is only present if a result of the fax transmission is available, otherwise it is 'null'. Please see here for further information: <a href=\"https://hilfe.faxverteiler.com/ergebnis-code/\"><b>https://hilfe.faxverteiler.com/ergebnis-code/</b></a>
 * @member {Number} resultCode
 */
JobRecipient.prototype.resultCode = undefined;

/**
 * Contains the result text for the fax. Value is only present if a result of the fax transmission is available, otherwise it is 'null'. Please see here for further information: <a href=\"https://hilfe.faxverteiler.com/ergebnis-code/\"><b>https://hilfe.faxverteiler.com/ergebnis-code/</b></a>
 * @member {String} resultText
 */
JobRecipient.prototype.resultText = undefined;

